/**
 * @file
 * Paste from clipboard to table field widget.
 */

(function (Drupal, $, drupalSettings, once) {
  'use strict';
  Drupal.behaviors.paste_clipboard = {
    attach: function (context) {
      // Initialize the Quick Edit app once per page load.
      let data = [];
      $(once('datalist-field', '.datalistfield', context)).each(function () {
        let id = $(this).attr('list');
        if(drupalSettings.datalistfield[id] != undefined){
          if ($.inArray(id, data) === -1) {
            data.push(id);
          }
        }
      });
      if(data.length){
        $.each(data, function (index, id) {
          let datalist = $('<datalist>').attr('id', id);
          let options = drupalSettings.datalistfield[id];
          $.each(options, function (value, label) {
            $('<option>').attr('value', value).text(label).appendTo(datalist);
          });
          $('body').append(datalist);
        });
      }
    }
  };
}(Drupal, jQuery, drupalSettings, once));
