<?php

namespace Drupal\datafield\Plugin\DataField\FieldWidget;

use Drupal\Core\StringTranslation\StringTranslationTrait;
use Drupal\datafield\Plugin\DataFieldWidgetInterface;

/**
 * Plugin implementation of the 'media_library_widget' widget.
 *
 * @FieldWidget(
 *   id = "media_library",
 *   label = @Translation("Media library"),
 *   description = @Translation("Allows you to select items from the media library."),
 *   field_types = {
 *     "file",
 *   },
 * )
 *
 * @internal
 *   Plugin classes are internal.
 */
class MediaLibraryWidget implements DataFieldWidgetInterface {
  use StringTranslationTrait;

  /**
   * {@inheritdoc}
   */
  public function getFormElement(&$element, $item = NULL, $setting = []) {
    $element = [
      '#type' => 'entity_autocomplete',
      '#target_type' => 'media',
      "#default_value" => $element['#default_value'],
      '#allowed_bundles' => [
        'audio', 'document', 'image',
        'video', 'remote_video',
      ],
    ];
    if (\Drupal::moduleHandler()->moduleExists('media_library_form_element')) {
      $element['#type'] = 'media_library';
    }

  }

}
