<?php

namespace Drupal\datafield\Plugin\DataField\FieldWidget;

use Drupal\Core\StringTranslation\StringTranslationTrait;
use Drupal\datafield\Plugin\DataFieldWidgetInterface;

/**
 * Plugin implementation of the 'Language' widget.
 *
 * @FieldWidget(
 *   id = "radios",
 *   label = @Translation("Radio buttons"),
 *   field_types = {
 *     "boolean",
 *     "string",
 *     "integer",
 *     "numeric",
 *     "float"
 *   }
 * )
 */
class RadiosWidget implements DataFieldWidgetInterface {
  use StringTranslationTrait;

  /**
   * {@inheritdoc}
   */
  public function getFormElement(&$element, $item = NULL, $setting = []) {
    $label = empty($setting['required']) ? $this->t('N/A') : $this->t('- None -');
    $element['#empty_option'] = $label;
    if (!empty($element["#field_settings"]["on_label"])) {
      $element["#field_settings"]["list"] = TRUE;
      $element["#field_settings"]['allowed_values'] = [
        $element["#field_settings"]["off_label"],
        $element["#field_settings"]["on_label"],
      ];
    }
    if (!empty($element["#field_settings"]["list"])) {
      $element['#options'] = $element["#field_settings"]['allowed_values'];
    }
    else {
      $element['#type'] = 'checkbox';
    }
  }

}
