<?php

namespace Drupal\datafield\Plugin\DataField\FieldWidget;

use Drupal\Core\StringTranslation\StringTranslationTrait;
use Drupal\datafield\Plugin\DataFieldWidgetInterface;

/**
 * Plugin implementation of the 'Language' widget.
 *
 * @FieldWidget(
 *   id = "select",
 *   label = @Translation("Select"),
 *   field_types = {
 *     "string",
 *     "integer",
 *     "numeric",
 *     "float"
 *   }
 * )
 */
class SelectWidget implements DataFieldWidgetInterface {
  use StringTranslationTrait;

  /**
   * {@inheritdoc}
   */
  public function getFormElement(&$element, $item = NULL, $setting = []) {
    self::setOptions($element, $setting);
  }

  /**
   * {@inheritdoc}
   */
  public static function setOptions(&$element, $setting) {
    $element['#empty_option'] = t('- Select a value -');
    if (!empty($element["#field_settings"]['list'])) {
      $element['#options'] = $element["#field_settings"]['allowed_values'];
    }
  }

}
